Name:          giggle
Version:       0.4
Release:       2%{?dist}
Summary:       A Gtk frontend to git

Group:         Development/Tools
License:       GPLv2+
URL:           http://developer.imendio.com/projects/giggle/
Source0:       http://ftp.imendio.com/pub/imendio/giggle/src/%{name}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: intltool
BuildRequires: gettext
BuildRequires: gtksourceview2-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: desktop-file-utils
BuildRequires: git-core

Requires:      git-core

%description
Giggle is a graphical frontend for the git directory tracker (think of gitk on
GTK+).


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-install --vendor="fedora"                     \
  --delete-original                                        \
  --dir=%{buildroot}%{_datadir}/applications               \
  %{buildroot}%{_datadir}/applications/giggle.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README

%{_bindir}/giggle
%{_libdir}/*.so

%dir %{_datadir}/giggle
%dir %{_datadir}/giggle/glade

%{_datadir}/giggle/glade/main-window.glade
%{_datadir}/applications/fedora-giggle.desktop

%{_datadir}/icons/hicolor/16x16/apps/giggle.png
%{_datadir}/icons/hicolor/22x22/apps/giggle.png
%{_datadir}/icons/hicolor/32x32/apps/giggle.png
%{_datadir}/icons/hicolor/48x48/apps/giggle.png
%{_datadir}/icons/hicolor/scalable/apps/giggle.svg


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4-2
- Autorebuild for GCC 4.3

* Wed Dec 12 2007 James Bowes <jbowes@redhat.com> - 0.4-1
- Update to 0.4

* Sun Oct 14 2007 James Bowes <jbowes@redhat.com> 0.3-5
- Update gtksourceview2 patch to build against current code.

* Thu Aug 23 2007 James Bowes <jbowes@redhat.com> - 0.3-4
- Add BR for gtksourceview2-devel

* Thu Aug 23 2007 James Bowes <jbowes@redhat.com> - 0.3-3
- Mark license as GPLv2+

* Fri Jul  6 2007 Jeremy Katz <katzj@redhat.com> - 0.3-2
- fix to build against gtksourceview2

* Wed May 09 2007 James Bowes <jbowes@redhat.com> - 0.3-1
- Update to 0.3

* Thu Mar 29 2007 James Bowes <jbowes@redhat.com> - 0.2-2
- Add buildrequires for git-core

* Thu Mar 29 2007 James Bowes <jbowes@redhat.com> - 0.2-1
- Update to 0.2

* Sat Mar 17 2007 James Bowes <jbowes@redhat.com> - 0.1-3
- Minor specfile fixes from the initial review.

* Fri Mar 09 2007 James Bowes <jbowes@redhat.com> - 0.1-2
- Use desktop-file-install for the desktop file.

* Wed Mar 07 2007 James Bowes <jbowes@redhat.com> - 0.1-1
- Initial packaging.
